## org.eclipse.emf.ecoretools.diagram.part
Class EcoreLinkDescriptor

    java.lang.Object
      org.eclipse.emf.ecoretools.diagram.part.EcoreNodeDescriptor
          org.eclipse.emf.ecoretools.diagram.part.EcoreLinkDescriptor

    public class EcoreLinkDescriptor

extends EcoreNodeDescriptor

Constructor Summary
`EcoreLinkDescriptor(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EObject destination, org.eclipse.emf.ecore.EObject linkElement, org.eclipse.gmf.runtime.emf.type.core.IElementType elementType, int linkVID)`
`EcoreLinkDescriptor(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EObject destination, org.eclipse.gmf.runtime.emf.type.core.IElementType elementType, int linkVID)`

Method Summary
`org.eclipse.emf.ecore.EObject` `getDestination()`
`org.eclipse.core.runtime.IAdaptable` `getSemanticAdapter()`
`org.eclipse.emf.ecore.EObject` `getSource()`

Methods inherited from class org.eclipse.emf.ecoretools.diagram.part.EcoreNodeDescriptor
`getModelElement, getType, getVisualID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreLinkDescriptor

    public EcoreLinkDescriptor(org.eclipse.emf.ecore.EObject source,
                               org.eclipse.emf.ecore.EObject destination,
                               org.eclipse.gmf.runtime.emf.type.core.IElementType elementType,
                               int linkVID)

### EcoreLinkDescriptor

    public EcoreLinkDescriptor(org.eclipse.emf.ecore.EObject source,
                               org.eclipse.emf.ecore.EObject destination,
                               org.eclipse.emf.ecore.EObject linkElement,
                               org.eclipse.gmf.runtime.emf.type.core.IElementType elementType,
                               int linkVID)

Method Detail

### getSource

    public org.eclipse.emf.ecore.EObject getSource()

### getDestination

    public org.eclipse.emf.ecore.EObject getDestination()

### getSemanticAdapter

    public org.eclipse.core.runtime.IAdaptable getSemanticAdapter()

Copyright 2007 Anyware Technologies. All Rights Reserved.